<?php

    $curtains_fabric_theme_css= "";

    /*--------------------------- Scroll to top positions -------------------*/

    $curtains_fabric_scroll_position = get_theme_mod( 'curtains_fabric_scroll_top_position','Right');
    if($curtains_fabric_scroll_position == 'Right'){
        $curtains_fabric_theme_css .='#button{';
            $curtains_fabric_theme_css .='right: 20px;';
        $curtains_fabric_theme_css .='}';
    }else if($curtains_fabric_scroll_position == 'Left'){
        $curtains_fabric_theme_css .='#button{';
            $curtains_fabric_theme_css .='left: 20px;';
        $curtains_fabric_theme_css .='}';
    }else if($curtains_fabric_scroll_position == 'Center'){
        $curtains_fabric_theme_css .='#button{';
            $curtains_fabric_theme_css .='right: 50%;left: 50%;';
        $curtains_fabric_theme_css .='}';
    }

    /*--------------------------- Slider Image Opacity -------------------*/

    $curtains_fabric_slider_opacity_setting = get_theme_mod( 'curtains_fabric_slider_opacity_setting',true);
    $curtains_fabric_image_opacity_color = get_theme_mod( 'curtains_fabric_image_opacity_color');
    $curtains_fabric_slider_opacity = get_theme_mod( 'curtains_fabric_slider_opacity');
    if( $curtains_fabric_slider_opacity_setting != false) {
        $curtains_fabric_theme_css .='.slider-box img.small-img{';
            $curtains_fabric_theme_css .='opacity: '. $curtains_fabric_slider_opacity. ';';
        $curtains_fabric_theme_css .='}';
        if( $curtains_fabric_image_opacity_color != '') {
            $curtains_fabric_theme_css .='.slider-box .small-img {';
                $curtains_fabric_theme_css .='background-color: '. $curtains_fabric_image_opacity_color. ';';
            $curtains_fabric_theme_css .='}';
        }
    } else {
        $curtains_fabric_theme_css .='.slider-box img.small-img{';
            $curtains_fabric_theme_css .='opacity: 1;';
        $curtains_fabric_theme_css .='}';
    }

    /*---------------- Single post Settings ------------------*/

    $curtains_fabric_single_post_navigation_show_hide = get_theme_mod('curtains_fabric_single_post_navigation_show_hide',true);
    if($curtains_fabric_single_post_navigation_show_hide != true){
        $curtains_fabric_theme_css .='.nav-links{';
            $curtains_fabric_theme_css .='display: none;';
        $curtains_fabric_theme_css .='}';
    }

    /*--------------------------- Woocommerce Product Border Radius -------------------*/

    $curtains_fabric_woo_product_border_radius = get_theme_mod('curtains_fabric_woo_product_border_radius', 0);
    if($curtains_fabric_woo_product_border_radius != false){
        $curtains_fabric_theme_css .='.woocommerce ul.products li.product a img{';
            $curtains_fabric_theme_css .='border-radius: '.esc_attr($curtains_fabric_woo_product_border_radius).'px;';
        $curtains_fabric_theme_css .='}';
    }

    /*--------------------------- Single Post Page Image Box Shadow -------------------*/

    $curtains_fabric_single_post_page_image_box_shadow = get_theme_mod('curtains_fabric_single_post_page_image_box_shadow',0);
    if($curtains_fabric_single_post_page_image_box_shadow != false){
        $curtains_fabric_theme_css .='.single-post .entry-header img{';
            $curtains_fabric_theme_css .='box-shadow: '.esc_attr($curtains_fabric_single_post_page_image_box_shadow).'px '.esc_attr($curtains_fabric_single_post_page_image_box_shadow).'px '.esc_attr($curtains_fabric_single_post_page_image_box_shadow).'px #cccccc;';
        $curtains_fabric_theme_css .='}';
    }

     /*--------------------------- Single Post Page Image Border Radius -------------------*/

    $curtains_fabric_single_post_page_image_border_radius = get_theme_mod('curtains_fabric_single_post_page_image_border_radius', 0);
    if($curtains_fabric_single_post_page_image_border_radius != false){
        $curtains_fabric_theme_css .='.single-post .entry-header img{';
            $curtains_fabric_theme_css .='border-radius: '.esc_attr($curtains_fabric_single_post_page_image_border_radius).'px;';
        $curtains_fabric_theme_css .='}';
    }

    /*--------------------------- Footer Background Image Position -------------------*/

    $curtains_fabric_footer_bg_image_position = get_theme_mod( 'curtains_fabric_footer_bg_image_position','scroll');
    if($curtains_fabric_footer_bg_image_position == 'fixed'){
        $curtains_fabric_theme_css .='#colophon{';
            $curtains_fabric_theme_css .='background-attachment: fixed !important; background-position: center !important;';
        $curtains_fabric_theme_css .='}';
    }elseif ($curtains_fabric_footer_bg_image_position == 'scroll'){
        $curtains_fabric_theme_css .='#colophon{';
            $curtains_fabric_theme_css .='background-attachment: scroll !important; background-position: center !important;';
        $curtains_fabric_theme_css .='}';
    }

    /*--------------------------- Footer Widget Heading Alignment -------------------*/

    $curtains_fabric_footer_widget_heading_alignment = get_theme_mod( 'curtains_fabric_footer_widget_heading_alignment','Left');
    if($curtains_fabric_footer_widget_heading_alignment == 'Left'){
        $curtains_fabric_theme_css .='#colophon h5, h5.footer-column-widget-title{';
        $curtains_fabric_theme_css .='text-align: left;';
        $curtains_fabric_theme_css .='}';
    }else if($curtains_fabric_footer_widget_heading_alignment == 'Center'){
        $curtains_fabric_theme_css .='#colophon h5, h5.footer-column-widget-title{';
            $curtains_fabric_theme_css .='text-align: center;';
        $curtains_fabric_theme_css .='}';
    }else if($curtains_fabric_footer_widget_heading_alignment == 'Right'){
        $curtains_fabric_theme_css .='#colophon h5, h5.footer-column-widget-title{';
            $curtains_fabric_theme_css .='text-align: right;';
        $curtains_fabric_theme_css .='}';
    }

    /*--------------------------- Footer background image -------------------*/

    $curtains_fabric_footer_bg_image = get_theme_mod('curtains_fabric_footer_bg_image');
    if($curtains_fabric_footer_bg_image != false){
        $curtains_fabric_theme_css .='#colophon{';
            $curtains_fabric_theme_css .='background: url('.esc_attr($curtains_fabric_footer_bg_image).');';
        $curtains_fabric_theme_css .='}';
    }

    /*--------------------------- Copyright Background Color -------------------*/

    $curtains_fabric_copyright_background_color = get_theme_mod('curtains_fabric_copyright_background_color');
    if($curtains_fabric_copyright_background_color != false){
        $curtains_fabric_theme_css .='.footer_info{';
            $curtains_fabric_theme_css .='background-color: '.esc_attr($curtains_fabric_copyright_background_color).' !important;';
        $curtains_fabric_theme_css .='}';
    } 

    /*--------------------------- Site Title And Tagline Color -------------------*/

    $curtains_fabric_logo_title_color = get_theme_mod('curtains_fabric_logo_title_color');
    if($curtains_fabric_logo_title_color != false){
        $curtains_fabric_theme_css .='p.site-title a, .navbar-brand a{';
            $curtains_fabric_theme_css .='color: '.esc_attr($curtains_fabric_logo_title_color).' !important;';
        $curtains_fabric_theme_css .='}';
    }

    $curtains_fabric_logo_tagline_color = get_theme_mod('curtains_fabric_logo_tagline_color');
    if($curtains_fabric_logo_tagline_color != false){
        $curtains_fabric_theme_css .='.logo p.site-description, .navbar-brand p{';
            $curtains_fabric_theme_css .='color: '.esc_attr($curtains_fabric_logo_tagline_color).'  !important;';
        $curtains_fabric_theme_css .='}';
    }

    /*--------------------------- Footer Widget Content Alignment -------------------*/

    $curtains_fabric_footer_widget_content_alignment = get_theme_mod( 'curtains_fabric_footer_widget_content_alignment','Left');
    if($curtains_fabric_footer_widget_content_alignment == 'Left'){
        $curtains_fabric_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
        $curtains_fabric_theme_css .='text-align: left;';
        $curtains_fabric_theme_css .='}';
    }else if($curtains_fabric_footer_widget_content_alignment == 'Center'){
        $curtains_fabric_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
            $curtains_fabric_theme_css .='text-align: center;';
        $curtains_fabric_theme_css .='}';
    }else if($curtains_fabric_footer_widget_content_alignment == 'Right'){
        $curtains_fabric_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
            $curtains_fabric_theme_css .='text-align: right;';
        $curtains_fabric_theme_css .='}';
    }

    /*--------------------------- Copyright Content Alignment -------------------*/

    $curtains_fabric_copyright_content_alignment = get_theme_mod( 'curtains_fabric_copyright_content_alignment','Right');
    if($curtains_fabric_copyright_content_alignment == 'Left'){
        $curtains_fabric_theme_css .='.footer-menu-left{';
        $curtains_fabric_theme_css .='text-align: left;';
        $curtains_fabric_theme_css .='}';
    }else if($curtains_fabric_copyright_content_alignment == 'Center'){
        $curtains_fabric_theme_css .='.footer-menu-left{';
            $curtains_fabric_theme_css .='text-align: center;';
        $curtains_fabric_theme_css .='}';
    }else if($curtains_fabric_copyright_content_alignment == 'Right'){
        $curtains_fabric_theme_css .='.footer-menu-left{';
            $curtains_fabric_theme_css .='text-align: right;';
        $curtains_fabric_theme_css .='}';
    }

    /*---------------------------Width Layout -------------------*/

    $curtains_fabric_width_option = get_theme_mod( 'curtains_fabric_width_option','Full Width');
    if($curtains_fabric_width_option == 'Boxed Width'){
        $curtains_fabric_theme_css .='body{';
            $curtains_fabric_theme_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
        $curtains_fabric_theme_css .='}';
        $curtains_fabric_theme_css .='.scrollup i{';
            $curtains_fabric_theme_css .='right: 100px;';
        $curtains_fabric_theme_css .='}';
        $curtains_fabric_theme_css .='.page-template-custom-home-page .home-page-header{';
            $curtains_fabric_theme_css .='padding: 0px 40px 0 10px;';
        $curtains_fabric_theme_css .='}';
    }else if($curtains_fabric_width_option == 'Wide Width'){
        $curtains_fabric_theme_css .='body{';
            $curtains_fabric_theme_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
        $curtains_fabric_theme_css .='}';
        $curtains_fabric_theme_css .='.scrollup i{';
            $curtains_fabric_theme_css .='right: 30px;';
        $curtains_fabric_theme_css .='}';
    }else if($curtains_fabric_width_option == 'Full Width'){
        $curtains_fabric_theme_css .='body{';
            $curtains_fabric_theme_css .='max-width: 100%;';
        $curtains_fabric_theme_css .='}';
    }

    /*------------------ Nav Menus -------------------*/

    $curtains_fabric_nav_menu = get_theme_mod( 'curtains_fabric_nav_menu_text_transform','Capitalize');
    if($curtains_fabric_nav_menu == 'Capitalize'){
        $curtains_fabric_theme_css .='.main-navigation .menu > li > a{';
            $curtains_fabric_theme_css .='text-transform:Capitalize;';
        $curtains_fabric_theme_css .='}';
    }
    if($curtains_fabric_nav_menu == 'Lowercase'){
        $curtains_fabric_theme_css .='.main-navigation .menu > li > a{';
            $curtains_fabric_theme_css .='text-transform:Lowercase;';
        $curtains_fabric_theme_css .='}';
    }
    if($curtains_fabric_nav_menu == 'Uppercase'){
        $curtains_fabric_theme_css .='.main-navigation .menu > li > a{';
            $curtains_fabric_theme_css .='text-transform:Uppercase;';
        $curtains_fabric_theme_css .='}';
    } 

    $curtains_fabric_menu_font_size = get_theme_mod( 'curtains_fabric_menu_font_size');
    if($curtains_fabric_menu_font_size != ''){
        $curtains_fabric_theme_css .='.main-navigation .menu > li > a{';
            $curtains_fabric_theme_css .='font-size: '.esc_attr($curtains_fabric_menu_font_size).'px;';
        $curtains_fabric_theme_css .='}';
    }

    $curtains_fabric_nav_menu_font_weight = get_theme_mod( 'curtains_fabric_nav_menu_font_weight',500);
    if($curtains_fabric_menu_font_size != ''){
        $curtains_fabric_theme_css .='.main-navigation .menu > li > a{';
            $curtains_fabric_theme_css .='font-weight: '.esc_attr($curtains_fabric_nav_menu_font_weight).';';
        $curtains_fabric_theme_css .='}';
    }

    /*-------------------- Global First Color -------------------*/

    $curtains_fabric_global_color = get_theme_mod('curtains_fabric_global_color');

    if ($curtains_fabric_global_color) {
        $curtains_fabric_theme_css .= ':root {';
        $curtains_fabric_theme_css .= '--first-color: ' . esc_attr($curtains_fabric_global_color) . ' !important;';
        $curtains_fabric_theme_css .= '} ';
    }

    /*-------------------- Heading typography -------------------*/

    $curtains_fabric_heading_color = get_theme_mod('curtains_fabric_heading_color');
    $curtains_fabric_heading_font_family = get_theme_mod('curtains_fabric_heading_font_family');
    $curtains_fabric_heading_font_size = get_theme_mod('curtains_fabric_heading_font_size');
    if($curtains_fabric_heading_color != false || $curtains_fabric_heading_font_family != false || $curtains_fabric_heading_font_size != false){
        $curtains_fabric_theme_css .='h1, h2, h3, h4, h5, h6, .navbar-brand h1.site-title, h2.entry-title, h1.entry-title, h2.page-title, #latest_post h2, h2.woocommerce-loop-product__title, #colophon h5, .sidebar h5, .article-box h3.entry-title, .slider-inner-box h2, #top-slider .slider-inner-box h2, #top-slider .slider-inner-box h3, .headings h3, .product-content h3 a, .service-sec h3.main-heading, .ser-content h4 a, .ser-content h5.text{';
            $curtains_fabric_theme_css .='color: '.esc_attr($curtains_fabric_heading_color).'!important; 
            font-family: '.esc_attr($curtains_fabric_heading_font_family).'!important;
            font-size: '.esc_attr($curtains_fabric_heading_font_size).'px !important;';
        $curtains_fabric_theme_css .='}';
    }

    $curtains_fabric_paragraph_color = get_theme_mod('curtains_fabric_paragraph_color');
    $curtains_fabric_paragraph_font_family = get_theme_mod('curtains_fabric_paragraph_font_family');
    $curtains_fabric_paragraph_font_size = get_theme_mod('curtains_fabric_paragraph_font_size');
    if($curtains_fabric_paragraph_color != false || $curtains_fabric_paragraph_font_family != false || $curtains_fabric_paragraph_font_size != false){
        $curtains_fabric_theme_css .='p, p.site-title, span, .article-box p, ul, li{';
            $curtains_fabric_theme_css .='color: '.esc_attr($curtains_fabric_paragraph_color).'!important; 
            font-family: '.esc_attr($curtains_fabric_paragraph_font_family).'!important;
            font-size: '.esc_attr($curtains_fabric_paragraph_font_size).'px !important;';
        $curtains_fabric_theme_css .='}';
    }

    /*---------------- Logo CSS ----------------------*/
    $curtains_fabric_logo_title_font_size = get_theme_mod( 'curtains_fabric_logo_title_font_size');
    $curtains_fabric_logo_tagline_font_size = get_theme_mod( 'curtains_fabric_logo_tagline_font_size');
    if( $curtains_fabric_logo_title_font_size != '') {
        $curtains_fabric_theme_css .='#masthead .navbar-brand a{';
            $curtains_fabric_theme_css .='font-size: '. $curtains_fabric_logo_title_font_size. 'px;';
        $curtains_fabric_theme_css .='}';
    }
    if( $curtains_fabric_logo_tagline_font_size != '') {
        $curtains_fabric_theme_css .='#masthead .navbar-brand p{';
            $curtains_fabric_theme_css .='font-size: '. $curtains_fabric_logo_tagline_font_size. 'px;';
        $curtains_fabric_theme_css .='}';
    }

    /*------------------ Slider CSS -------------------*/

    $curtains_fabric_slider_content_layout = get_theme_mod( 'curtains_fabric_slider_content_layout','Left');
    if($curtains_fabric_slider_content_layout == 'Left'){
        $curtains_fabric_theme_css .='.ser-content{';
            $curtains_fabric_theme_css .='text-align : left !important;';
        $curtains_fabric_theme_css .='}';
    }
    if($curtains_fabric_slider_content_layout == 'Center'){
        $curtains_fabric_theme_css .='.ser-content{';
            $curtains_fabric_theme_css .='text-align : center !important;';
        $curtains_fabric_theme_css .='}';
    }
    if($curtains_fabric_slider_content_layout == 'Right'){
        $curtains_fabric_theme_css .='.ser-content{';
            $curtains_fabric_theme_css .='text-align : right !important;';
        $curtains_fabric_theme_css .='}';
    }

    /*------------------ Footer CSS -------------------*/
    $curtains_fabric_footer_bg_color = get_theme_mod( 'curtains_fabric_footer_bg_color');
    if($curtains_fabric_footer_bg_color != '' ){
        $curtains_fabric_theme_css .='#colophon {';
            $curtains_fabric_theme_css .='background-color: '.esc_attr($curtains_fabric_footer_bg_color).'; ';
        $curtains_fabric_theme_css .='}';
    }

    $curtains_fabric_footer_content_color = get_theme_mod( 'curtains_fabric_footer_content_color');
    if($curtains_fabric_footer_content_color != ''){
        $curtains_fabric_theme_css .='#colophon, #colophon a, #colophon h5, #colophon .widget #wp-calendar caption {';
            $curtains_fabric_theme_css .='color: '.esc_attr($curtains_fabric_footer_content_color).';';
        $curtains_fabric_theme_css .='}';
    }

    /*------------------ Copyright CSS -------------------*/
    $curtains_fabric_copyright_text_color = get_theme_mod( 'curtains_fabric_copyright_text_color');
    if($curtains_fabric_copyright_text_color != ''){
        $curtains_fabric_theme_css .='#colophon .site-info a, #colophon .site-info span {';
            $curtains_fabric_theme_css .='color: '.esc_attr($curtains_fabric_copyright_text_color).';';
        $curtains_fabric_theme_css .='}';
    }

     /*--------------------------- Featured Image Border Radius -------------------*/

    $curtains_fabric_post_page_image_border_radius = get_theme_mod('curtains_fabric_post_page_image_border_radius', 0);
    if($curtains_fabric_post_page_image_border_radius != false){
        $curtains_fabric_theme_css .='.article-box img{';
            $curtains_fabric_theme_css .='border-radius: '.esc_attr($curtains_fabric_post_page_image_border_radius).'px;';
        $curtains_fabric_theme_css .='}';
    }

    /*--------------------------- Post Page Image Box Shadow -------------------*/

    $curtains_fabric_post_page_image_box_shadow = get_theme_mod('curtains_fabric_post_page_image_box_shadow',0);
    if($curtains_fabric_post_page_image_box_shadow != false){
        $curtains_fabric_theme_css .='.article-box img{';
            $curtains_fabric_theme_css .='box-shadow: '.esc_attr($curtains_fabric_post_page_image_box_shadow).'px '.esc_attr($curtains_fabric_post_page_image_box_shadow).'px '.esc_attr($curtains_fabric_post_page_image_box_shadow).'px #cccccc;';
        $curtains_fabric_theme_css .='}';
    }

    /*---------------- Single post Settings ------------------*/

    $curtains_fabric_single_post_navigation_show_hide = get_theme_mod('curtains_fabric_single_post_navigation_show_hide',true);
    if($curtains_fabric_single_post_navigation_show_hide != true){
        $curtains_fabric_theme_css .='.nav-links{';
            $curtains_fabric_theme_css .='display: none;';
        $curtains_fabric_theme_css .='}';
    }

    /*--------------------------- Single Post Page Image Box Shadow -------------------*/

    $curtains_fabric_single_post_page_image_box_shadow = get_theme_mod('curtains_fabric_single_post_page_image_box_shadow',0);
    if($curtains_fabric_single_post_page_image_box_shadow != false){
        $curtains_fabric_theme_css .='.single-post .entry-header img{';
            $curtains_fabric_theme_css .='box-shadow: '.esc_attr($curtains_fabric_single_post_page_image_box_shadow).'px '.esc_attr($curtains_fabric_single_post_page_image_box_shadow).'px '.esc_attr($curtains_fabric_single_post_page_image_box_shadow).'px #cccccc;';
        $curtains_fabric_theme_css .='}';
    }

     /*--------------------------- Single Post Page Image Border Radius -------------------*/

    $curtains_fabric_single_post_page_image_border_radius = get_theme_mod('curtains_fabric_single_post_page_image_border_radius', 0);
    if($curtains_fabric_single_post_page_image_border_radius != false){
        $curtains_fabric_theme_css .='.single-post .entry-header img{';
            $curtains_fabric_theme_css .='border-radius: '.esc_attr($curtains_fabric_single_post_page_image_border_radius).'px;';
        $curtains_fabric_theme_css .='}';
    }